
#import <Cocoa/Cocoa.h>
#import <OpenGL/gl.h>


@interface ImageFlipperView : NSOpenGLView
{
	float		yAngle;
	GLuint		texture1;
	GLuint		texture2;

	float		slabWidth;
}

- (void)flip:(BOOL)forward;
- (void)setSlabWidth:(float)width;

- (void)rotate:(float)angle;

- (void)setImage1:(NSBitmapImageRep *)bitmap;
- (void)setImage2:(NSBitmapImageRep *)bitmap;

@end
